/*
 * @Author: zhangyu
 * @Date: 2020-05-13 11:18:18
 * @Info: 
 * @LastEditTime: 2020-05-13 17:49:50
 */
import {baseUrl} from '@/api/scan/config'
import http from '@/api/scan/httpUtil'

//设备清单-查询当前设备类下的部件分类
export function getPartsAllType(param, success) {
  let url = `${baseUrl}/equip-component/equip-query/equip-compon`;
  http.getJson(url, param, success)
}

//字典查询接口 竖井所有类型
export function queryShaftType(success) {
  let url = `${baseUrl}/datacenter/data-dictionary/query-shaft-type`;
  http.getJson(url, {}, success)
}

//all - 查询数据字典 --列表表头
export function getDataDictionary(param, success) {
  let url = `${baseUrl}/datacenter/data-dictionary/project/query?type=${param.type}`;
  let data = param.data
  http.postJson(url, data, success)
}

//创建品牌
export function brandCreate(param, success) {
  let url = `${baseUrl}/prod/brand/create`;
  http.postJson(url, param, success)
}

//根据id删除品牌
export function brandDelete(param, success) {
  let url = `${baseUrl}/prod/brand/delete`;
  http.postJson(url, param, success)
}

//更改品牌信息
export function brandUpdate(param, success) {
  let url = `${baseUrl}/prod/brand/update`;
  http.postJson(url, param, success)
}

//查询品牌信息
export function brandQuery(param, success) {
  let url = `${baseUrl}/prod/brand/query`;
  http.postJson(url, param, success)
}